What_is_application_integration

Help for IBM FileNet P8 IDM Web Services Application Integration for Outlook

Welcome to the IBM FileNet IDM Application Integration with Microsoft Outlook Help. This will guide you on integration with Microsoft Outlook.

What is application integration?

After installing IBM FileNet IDM Web Services Application Integration for Microsoft Outlook, IBM FileNet menu options allow you to work with library documents from Outlook. For example, the Outlook File menu will look like this:

The IBM FileNet menu options allow you to perform document management functions, such as adding email files and email attachments, while working in Outlook.

This Help describes operations performed from Outlook. Separate online Help is provided for integration with Microsoft Word, Excel, and PowerPoint; access that Help from each application.


About_Help

To view the online Help

  1. From the Outlook menu, click Help.

  2. Select FileNet P8 IM Help Topics to view the online help.

Button | Function
 | Use this button to step back through your previously displayed help pages. This is a history button.
 | Use this button to step forward through your previously displayed help pages. This is a history button.
 | Use this button to return to the "What is application integration?" topic.


Requirements

Hardware

There are no hardware requirements for application integration other than those required to run Microsoft Outlook.

Software

The following software is required Web Services Application Integration for Outlook:

  • Operating system, one of the following:

  • Microsoft® Windows

  • Microsoft Office

For detail requirements and support information, refer readme bundled with the IDM package.


Compatibility_with_other_IBM_FileNet_Products

You can install both the P8 Image Manager and P8 Content Manager integrations on a Windows web client machine. However, IBM FileNet P8 IM Web Services Application is not compatible with IDM Desktop Application Integration.

The P8 Image Manager integration is named IBM FileNet IM Web Services Application Integration. Install this software to access IS and CS libraries through Web Services while working in Microsoft Office applications.

The P8 Content Manager integration is named IBM FileNet Workplace Application Integration. Install this software to access object stores through an Application Engine while working in Microsoft Office applications.

If you install both integrations, we recommend that you install the IBM FileNet Workplace Application Integration first.


MIME

Multipurpose Internet Mail Extensions (MIME)

IBM FileNet Application Integration uses the MIME standard to identify files.

The MIME standard is a specification describing a standardized method for representing and encoding various media types sent over the Internet. Web servers give the browser a MIME type with a document, telling the browser how to display the page. MIME recognizes the following file-types:

  • Text in US-ASCII (United States 7-bit American Standard Code for Information Interchange).

  • Character sets other than US-ASCII.

  • Multi-media: Image, Audio, and Video.

  • Multiple objects.

  • Multiple fonts.

  • Unlimited-length messages.

  • Application/Octet-stream/Binary file/Executable.

When using IBM FileNet Application Integration, the MIME type is read from your machine. Make sure that the MIME type for the file that you are using is registered on your machine. Otherwise, a file with an unknown type uses the default MIME type, which is application/octet-stream. This could adversely affect your file format and your ability to view the file accurately.

See your operating system help for details on how to register MIME file-types on your machine.

To set Outlook to use MIME:

  1. Open Outlook.

  2. Verify that you have configured an Internet E-mail service for Outlook.

  3. From the Tools menu click Options.

  4. From the Options dialog box, click the Internet E-mail tab, and then select MIME.

  5. Select Allow 8-bit characters in headers to specify that non-U.S. character sets, high ASCII, or double-byte character sets can be used in the header without encoding.


Log_on

When selecting a library or while completing a task, you may be prompted to log onto a library. The web administrator sets up one of three logon methods: IBM FileNet logon, LDAP logon, or unified logon.

  • IBM FileNet logon requires you to log on to each library with a user name and password. This is the default method.

  • LDAP logon allows you to log on to all libraries at once via an LDAP server. If LDAP logon fails or if you don't have an LDAP user account, you can click the Revert button to use IBM FileNet logon.

  • Unified logon (also called network logon) accepts Windows user credentials without prompting you to log on. If unified logon fails for any reason, an IBM FileNet Logon dialog will appear.

To log onto a library using IBM FileNet logon

  1. In the Logon dialog box, enter your user name and password. Optionally, for a CS library, you can specify the name of a group.

  2. Click OK.

To log onto FileNet libraries using LDAP logon

  1. In the LDAP Logon dialog, enter your LDAP user name.

  2. If you have a password, enter it in the Password field. Asterisks hide your password as you type it. Correct errors by backspacing over the asterisks. If you do not have a password, skip this field.

  3. Identify the LDAP server using the Distinguished Name field. Leave the name in the Distinguished Name field to accept the default. To specify another LDAP server, enter the distinguished name (DN) for LDAP logon via iPlanet and NDS; enter the user principal name (UPN) for LDAP logon via Microsoft Active Directory.

  4. Click OK to submit the logon request.

  5. If the LDAP logon fails, click Revert to use IBM FileNet logon.


Log_off

Each Office application manages its own sessions. If you log on to a library from an Office application, closing the Office application ends your session with that library.

If you log on to a library from multiple Office applications, you must log off for each of the Office applications. Logging off from a library in Outlook, for example, does not affect your connection to the library in Excel. The reverse is also true. Logging in to a library through Outlook has no effect on Excel.

To log off from a library

  1. Click the IBM FileNet Neighborhood icon to display all of the libraries.

  2. Right-click the library, and then click Logoff.


Change_Web_Server_URL

When you install IBM FileNet IDM Web Services Application Integration for Microsoft Office, you specify the URL for the web server. This URL is saved in the registry and becomes the default server URL used to connect to a library.

To change server URL

  1. From the Tools menu, click Set Base URL. The Set Base URL dialog box appears and the URL of the current server you are using is listed.

  2. Enter the new URL in the text box, and click Save.

This new URL is saved to the registry and will be used next time you log on to the server.

Note: "http:" (or "https:") is not required but may be entered as part of the server URL entered in the Server URL text box on the Logon dialog box. The URL is case-sensitive.


IBM_FileNet_Menu_options

The table below summarizes the FileNet menu options available in Outlook after installing IBM FileNet IDM Web Services Application Integration for Outlook.

Options available in the main Outlook Window

On the File menu | Tasks
Open | Open a library document.
Add | Add the selected Outlook item (email message, task, contact, or appointment) to a library.
Add attachments | Add attachments to a library.
On the Tools menu | Task
Set Base URL | Change the IBM FileNet Web Services web server.
On the Help menu | Task
FileNet P8 IM Help | Open this Help.

Options available in an item window

On the File menu | Tasks
Add | Add the open item (email message, task, contact, or appointment) to a library.
Add attachments | Add attachments to a library.
On the Insert menu | Task
FileNet P8 IM Item | Insert a library document as an attachment to an item.

Outlook message menus

When you open a message or other item in Outlook, you can access additional FileNet menu options on the File and Insert menus.

To access FileNet menu options from an Outlook message

Open an Outlook message and do one of the following:

  • From the File menu, click FileNet P8 IM, and then point to Add or Add Attachments. Choose these options if you want to add a message or attachment to a library. The Add Attachments option is available only if the message includes an attachment.

  • From the Insert menu, click FileNet P8 IM Item to insert a library document into an Outlook item.


Open_dialog_icons

Open dialog

These are the icons, and their action, that you will find in the Open dialog:

Icon | Description
 | Click to display all libraries on the server you are currently connected to.
 | Click to see all files checked out to the local machine. This includes files currently checked out, and files checked out at one time, but checked back in or check-out canceled.
 | Click to go up one level.
 | Click to create a new folder.
 | Click to switch between List and Details view. Click the drop-down arrow on the button to view your choices.
 | Click to switch filter method. Click the drop-down arrow on the button to view your choices. Display Versions is only enabled when you have a document selected.
 | Published document.
 | Compound documents.


Open_a_copy

You can open a library document using the Open dialog box. Opening a CS document in Outlook gives you a copy; it does not check out the document. Another user can check out the document, edit it, and then check it back into a library.

NOTE You may find file types, such as EXE, WAV, and others, that you cannot view or open with Office applications. When you select a file type that is not supported by Outlook, the file automatically launches in its native application.

The Open dialog box contains icons that can help you perform additional tasks.

To open documents

  1. Open Outlook.

  2. Select File>FileNet P8 IM, and then click Open.

  3. In the Open dialog box, double click the library that stores the document is located. Log onto the library if you are prompted.

  4. Locate the document you want to open using the following features to search through the documents in the open folder. A red check mark [image] next to a file name indicates that the document is checked-out, either by you or by someone else

  • Click the View button [image] to toggle between list view and details view.

  • From the Tools menu, click Filter by Title and Doc Class. In the Title field, enter a word or phrase to list only the documents that include that word or phrase. In the Doc Class field, select a document class to list only the documents in the selected document class.

  • From the Tools menu, click Filter by File name and Type. In the File name, you can search for file names using ? and * wild cards. In the "Files of Type" field, you can select an Outlook file type.

  • From the Tools menu, click Filter by Document ID. In the Doc ID field, enter one or more of the numbers in a document ID starting from the beginning (for example, 00367 lists all documents beginning with those numbers).

  5. Highlight the document you want to open. Do one of the following to open a document:

  • Right-click the document you want to open, and then click Open as Copy.

  • Click the Open button.

  • Double-click the document.

  6. In the Save As dialog box, enter a File name and a document type in the Save as type field.

  7. Navigate to the folder where you want to keep a copy of the document, and then click Save.

CAUTION If you select a file name, document type, and location identical to those of a checked-out document, you will overwrite your checkout copy during this step. You will get a general warning message when the operating system detects that you are overwriting a file.

  8. The document opens in an Office application or opens in its native application.


Add_a_document

When you add a document to an IBM FileNet library from Outlook, a Document Wizard collects information needed to complete the transaction. The Add Document dialog box you see depends on several variables such as type of library and type of document.

An IS user must have Read, Write, and Append/Execute access rights to the document class in order to add a document to that class. When creating a new document, you can also file the document in a folder if you have Read and Append/Execute access rights to the selected folder.

A CS user can add a document as long the user has rights to add an item (this is determined by the library administrator). You receive Owner access rights to the document you are adding. When you are adding the document to a folder, you must also have Author or higher access rights to that folder. The components of a compound document assume the access rights of their parent document.

To add a document to a library

  1. Select or open an item in Outlook.

  2. From the File>FileNet P8 IM menu, click Add.

  3. In the Add dialog box, keep the defaults, or enter a file name and select a document type.

  4. Click OK.

  5. From the FileNet Save As dialog box, open the library in which you want to add the message. Log onto a library if you are prompted.

  6. Navigate to the folder in which you want to store the document, and then click Save. The Document Wizard appears, where you finish processing the document and add it to the library.


Document_Wizard

To complete the Document Wizard

  1. Confirm the fields that list the location to which the document is being added or checked in and the document information are correct, and then click Next.

  2. Select an appropriate document class, and then enter the required property values (denoted by diamonds) and optional values. The document class determines the properties for the document.

  3. Go to the appropriate section below for more information on adding a document to your library, and then continue.

Notes on adding documents to an IS library

  • For an IS document, the wizard displays the document class you selected in the FileNet Save As dialog box and the property fields for that class. Verify the document class or select the correct one.

  • Adding a document does not delete the local copy.

Notes on adding documents to a CS library

  • Select Keep Local Copy to keep a copy of the document on your hard drive; if it is not selected, the local copy is deleted.

  • Select Index to index the document for content searching.

  • Click Next and assign security settings to the CS document.

  4. Click Cancel to return to the original location from which you were adding the document or click Finish to complete the add process. The system adds the document to the library and assigns it an ID number.

  5. Click Close to close the Document Wizard window.


Add_a_folder

You can add a new folder to a library in the Open dialog box.

An IS user can create any number of folders anywhere in the folder tree. When you create a folder, by default you and all members of your primary group inherit read, write, and append/execute access rights to the folder.

A CS user must have Author, Owner or Admin access rights to the library to add folders at the root level. You must have Author or higher access rights to the folder to add a subfolder. A new CS folder acquires default access rights as follows:

  • A root folder inherits the access rights of the library; a subfolder inherits the access rights of the parent folder.

  • Admin is removed from a new folder's access rights list. (A member of the Admin group always has Admin access rights to all documents, folders, stored searches, and search templates.)

  • You have Owner access rights to any folder you create.

To add a folder

  1. In the main Outlook window, from the File>FileNet P8 IM menu, click Open...

  2. In the Open dialog box, select a library and navigate to the location where you want to add a folder.
    You may need to log onto a library if you are prompted.

  3. Navigate to the folder level to which you want to add the new folder.

  4. Click the New Folder button [image] to add a folder. The New Folder dialog box appears showing the new folder's directory path.

  5. Enter the name for the new folder.


Add_an_attachment

You can add files attached to Outlook items to a library. You cannot add inserted items. You access this menu option from the File menu in Outlook or in an Outlook message.

An IS user must have Read and Append/Execute access rights to the folder in which the attachment is being added.

A CS user must have Author or higher access rights to the folder in which the attachment is being added.

To add file attachments in your Outlook items to a library

  1. Open Outlook and locate the Outlook item that contains the attachment you want to add to the library.

  2. Open the message, and then from the FileNet P8 IM menu, click Add Attachments. You can access this menu option from the File menu in Outlook or in an Outlook message. The Add Attachments dialog box appears.

  3. Select the attachment you want to save. You can select more than one attachment at a time. An attachment is selected by default if it is the only item in the dialog box.

  4. Click OK. The Save As dialog box opens.

You may need to log onto a library if you are prompted.

  5. Navigate to the folder in which you want to save the attachment, and then click Save.

The Document Wizard appears, where you finish processing and adding the attachment to the library. You must complete the steps for each attachment you are saving.


Insert_an_IBM_FileNet_item

You can insert a library item into an Outlook item as an attachment.

To insert a library item as an Outlook item attachment

  1. Open the Outlook item and place your cursor where you want the attachment.

  2. From the Insert menu, click FileNet P8 IM Item. The Insert dialog box opens.

  3. Select a library and log on if necessary.

  4. Locate the document you want to attach. See Open a copy for information on filtering in this dialog.

  5. Select the document to attach by doing one of the following:

  • Right-click the document, and then click Insert from the shortcut menu. If you are inserting a CS item, you also have the option to view the item's properties before you insert the item.

  • Click the Insert button in the lower right corner of the Open dialog box to view the two insert options.

  • Double-click the item.

  6. You are prompted to save or disregard your changes to an email message when you close or send the message.


View_or_modify_properties

You can view the properties of a CS document in the Open and Save As dialog boxes. You can also view the properties of a CS document when it is open and checked out in an Office application. The only time you can see and add properties to an IS document is when you are first adding it to a library from an integrated Office application. If you want to modify an IS document's properties, you can modify it from Web Services.

You cannot see the properties of an IS or CS read-only copy. IS documents are always opened as read-only copies and do not have versions.

For CS users, if you can view a document, you can also view the document’s properties. You must have Owner or higher access rights to modify the properties.

To view or modify CS document properties from the Open or Save As dialog boxes

  1. Locate the CS document in the Open or Save As dialog box.

  2. Right-click the document and select Properties. You can view or modify the document properties and security.


View_or_modify_multivalue_CS_document_properties

Two types of properties — single-value and multivalue — can be elements in a document class. They are assigned by your system administrator. These properties determine the number of values you can assign to a document. Single-value properties can have only one value. Multivalue properties are customized and allow you to enter more than one value for a document.

For CS users, you must have Author or higher access rights to the document in order to modify the multivalue properties.

To view or modify values in a multivalue property

  1. Do one of the following to access document properties:

  • Add a document to a library from an integrated Office application.

  • Access the CS document properties from the Open or Save As dialog box.

  2. Find the multivalue property you want to enter or modify.

  3. Click next to the multivalue property to view the Add Value dialog box.

  4. Do one of the following:

To add values

  • In the Select values from list box, enter the value to which you want to add to the multivalue property.

  • If you do not know the exact value, leave the box blank or type the first character of the value you are searching for, and then click Find. Values matching the information you entered are displayed in the list box. Highlight the value you want to add.

  • Click Add. The new value appears in the Selected Values list.

  • Click OK to return to the property dialog box.

To remove values

  • Highlight the value you want to remove in the Selected Value list.

  • Click Remove, and then click OK. The value is removed and you return to the property dialog box.


View_or_modify_date_and_time_CS_document_properties

If the date and time property is displayed on the document's Properties tab, it means this property is associated with the document class you assigned to your document. The single-value property is indicated by [image] and the multivalue property by [image]. Both icons are located to the right of the field.

To view or modify the date and time property

  1. Do one of the following to access document properties:

  • Add a document to a library from an integrated Office application

  • Access the CS document properties from the Open or Save As dialog box.

  2. Find the date and time property value you want to modify.

  3. Do one of the following:

Single-value date and time property

Click [image] to view the entire month. The current date and time are displayed in the date and time field and the current calendar appears. Use the arrows at the top of the calendar to select the correct month and year, then select the day. The date you select appears in the date and time field.

If you want to manually change the date and time without using the calendar, select the part of the date or time you want to change, then type in a new date or click the arrows to select a new date and time.

You can enter the calendar year in four-digit or two-digit format. The two-digit format range recognized in this property is 1930-2029. If you enter 15, the calendar year is interpreted as 2015. If you enter 40, the calendar year is interpreted as 1940 and not 2040. The range is not limited if you use the four-digit format.

Multivalue date and time property

Click [image] to view the current date and time. You can click Current to immediately update the date and time.

Click [image] to view the entire month. The current date and time are displayed in the date and time field and the current calendar appears. Use the arrows at the top of the calendar to select the correct month and year then select the day. The date you select appears in the date and time field.

If you want to manually change the date and time without using the calendar, select the part of the date or time you want to change, then type in a new date or click the arrows to select a new date and time.

Click [image] to enter the date and time in the date and time field. Click [image] to exit the calendar.


CS_document_properties_on_the_Properties_tab

The properties shown on a CS document's Properties tab depend on the document's class. If you have owner or higher access to the document, you can change these values.

Each document must be assigned a document class. Document properties are assigned to a document class by your system administrator. Each document has properties that describe the document, its location, versions, and status.

Document properties can be single-value or multivalue. Single-value properties only allow you to enter one text, integer or date and time value for a document. Multivalue properties are customized and allow you to enter or select more than one value for a document.

Some document properties may also have associated version properties. Version properties include the file name, checkin date, and name of the user who checked in that version. Document security allows you to set and maintain user and group access rights to a document. When you add a document, you assign properties.


CS_document_properties_on_the_Security_tab

When displaying the properties of a CS document, the Security tab displays the document’s current security settings. The first column lists the users and groups who have access rights; the second column lists the access rights granted to those users and groups.

If you are an administrator or if you have Owner access rights to a document, you see additional fields below the Document Security area that allow you to modify document security.


IS_document_properties

You cannot view properties for items stored in Image Services (IS) libraries.

When you add an item to an IS library, you get a Properties Wizard during the add procedure. Once you have completed the add procedure, you no longer have access to the properties of the item that you added in an IS library.


Security_Overview

Security

Both IS and CS libraries provide security to protect your important information. Typically, the system administrator defines users and groups, assigns passwords, and determines the default security settings for the system.

Every item has an access rights list that specifies the access rights of the users and groups who can access the item. These access rights determine who can see an item, modify it, delete it, and so on. Web Services verifies your access rights each time you view, add, modify, or delete an item.

  • An IS library system uses three access rights—Read, Write, and Append/Execute. Each and every document, folder, and annotation has these three access rights. Only one user or one group can be assigned to each access right for an item.

  • A CS library system defines five levels of access rights—None, Viewer, Author, Owner, and Admin. Each level of access rights incorporates the rights of the lower access levels. Author includes Viewer; Owner includes Author; etc.


View_or_modify_CS_access_rights

If you can see an item, you can also see the item’s properties. The access rights appear on the property tab labeled Security. If the properties are unavailable, you cannot modify them.

If you have Owner access rights, you can modify an item's security. You can add, remove, or modify users and groups and set their access rights.

To view or modify CS access rights

  1. Do one of the following to access document properties:

  • Add a document to a library from an integrated Office application.

  • Access the CS document properties from the Open or Save As dialog box.

  2. Do more of the following:

    • If you are adding a document, you can view or modify security settings after you enter the document property values.

    • If you are accessing CS document properties from a dialog box, click the Security tab.

To add a user or group to the security list

  1. Click Add. The Add Group/ User dialog box appears.

  2. In the View field, select Users or Groups to toggle the Name column and display users or groups. You can also select both options to see both users and groups displayed.

  3. Highlight the user or group name you want to add in the Name column. The user or group name appears in the Name box.

  4. In the Add with access level box, select the access rights for the user or group.

  5. Click Add, and then click OK. The user or group name is added to the security list.

To remove a user or group from the security list

  1. Do one of the following:

  • From the current security list, highlight the user or group name you want to remove.

  • From the Add Group/User dialog box, highlight the user or group you want to remove from the security list.

  2. Click Remove, and then click OK. The user or group is removed from the security list.

To modify the access rights of a user or group

  1. Open the CS document's Properties dialog box from the Open or Save As dialog boxes or from within a document open in an integrated Office application.

  2. Click the Security tab.

  3. From the current security list, highlight the user or group name you want to modify. An Access Rights box appears to the right of the user or group name in the Access Rights column.

  4. In the Access Rights box, select the appropriate access right for the user or group, and then click OK. The access right is modified.


View_or_modify_IS_access_rights

You can view or modify IS access rights using the IBM FileNet IDM Web Services Client. Refer to the IBM FileNet IDM Web Services User's Help for information on IS access rights.


CS_Security_concepts

Access rights define the different levels of authorization a user or group has to documents, folders, and stored searches. Refer to the following table for general information on CS access rights.

Each access level includes the access rights for the lower levels. For example, if you have Owner access rights to an item, you can perform the operations defined for Viewer, Author, and Owner.

Your access level to an item is the highest level for you or for any group you belong to. If you are a member of two groups, one that has Viewer access rights to a document and another group that has Owner access rights you get the Owner access rights. The list below describes the access rights for documents.

Your access right is... | You can...
None | You cannot see the document.
Viewer | You can view and open the document. You can view the document's properties. You can copy, move, and print the document.
Author | You can check the document out and in. You can modify the document's version properties. You can add annotations to the document.
Owner | You can modify most document properties. You can modify the document's security. You can index or de-index the content. You can delete the document. You can archive and reclaim the document.
Admin | You can modify all document properties.


IS_Security_concepts

Every IS folder, document, and annotation has its own read access, write access, and append/execute access rights. For any item, each access right is assigned to one and only one user or group. Because you can assign only one group to an access right, the system administrator must carefully construct a group hierarchy.

For example, an item’s security properties might look like this:

Read: Accounting

Write: Auditors

Append/execute: Auditors

These security settings mean that members of the Accounting group can view the item. (Auditors are included in the Accounting group.) However, only Auditors can modify or delete the item. To add more users who can view the item, you would change the read access to the name of a group containing both the Accounting group and the additional users.

Default access rights

Every item acquires default access rights when it is created. You can modify the properties, including the access rights, of an object you create.

A new document inherits the access rights defined for the document class.

Note: Every IS user belongs to a primary group, which is usually a group of users who perform the same job (such as Auditors).

Special users and groups

An IS library defines the following special users and groups

  • SysAdmin is the system administrator’s login name. SysAdmin can perform any operation and belongs to all other groups.

  • SysAdminG is a group whose members have read, write, and append/execute access rights to all folders, documents, and annotations.

  • AuditG is a group whose members have read access to all folders, documents, and annotations.

  • (ANYONE) is a group which includes every user. The name must be entered as shown here, with uppercase letters and the parentheses.


Accessibility_for_people_with_disabilities

About Accessibility for people with disabilities

Microsoft provides accessibility options in Windows and Office applications to help people with disabilities. Some of the options include keyboard shortcuts, changing the size of text, and customizing toolbars and menus. Refer to the Office application's Help for information on customizing your environment to fit your needs.

Accessibility options are not affected when you integrate IBM FileNet IDM Application Integration with Outlook.

NOTE You can use keyboard shortcuts in a property dialog box.


Keyboard_shortcuts

You can quickly accomplish tasks you perform frequently by using keyboard shortcuts — one or more keys you press on the keyboard to complete a task. Refer to the following table for the keys you can use to navigate in a property dialog box.

Press | To
CTRL+TAB or CTRL+PAGE DOWN | Switch to the next tab in a dialog box
CTRL+SHIFT+TAB or CTRL+PAGE UP | Switch to the previous tab in a dialog box
TAB | Move to the next option or option group
SHIFT+TAB | Move to the previous option or option group
Arrow keys | Move between options in the selected list or between some options in a group of options
SPACE BAR | Perform the action assigned to the selected button; select or clear the check box
Letter key | In the selected list, move to the next option that starts with the letter you type
ALT+Letter key | Select the option or select or clear the check box next to the letter underlined in the option name
ALT+DOWN ARROW (when a list or Property item is selected) | Open the selected list or Property item
ESC (when a list or Property item is selected) | Close the selected list or Property item
ENTER | Perform the action assigned to the default button in the dialog box
ESC | Cancel the command and close the dialog box


Glossary

This glossary defines important terms used in this Help.

A B C D E F GHI JKL MN O P QR S TUV WXYZ

A

access rights

The security settings that control access to the documents in a library or workflow. Also called permissions.

application integration

Performing IBM FileNet operations from desktop applications such as Microsoft Word or PowerPoint.

attachment

Documents stored in libraries can be Outlook email attachments.

authentication

The process of verifying a user name and password at logon time.

authorization

The process of establishing the access rights for a user.

Return to Top

B

browse

To navigate through a folder structure.

Return to Top

C

check in

An operation that creates a new version of a document in a library. While checked out, a document is locked so that no other user can modify it. A checkin unlocks the document.

check out

An operation that locks a versionable document in an object store/library. No other user can modify a checked-out document.

choice list

A list of property values.

commit, committal

A committed document is one that has been saved to an IS library. The last step in the process of creating an IS document, committal writes the document to disk and updates the property database.

component

A compound document consists of multiple documents, called components.

compound document

A compound document consists of multiple documents, called components. A compound document consists of at least two components, one of which is the Parent document that is added to a library, and one or more child documents that may or may not be stored in a library. Although the components are linked, each document has its own identity.

content

The data portion of a document, as opposed to the properties that identify and describe the document.

CS Library

Formerly Document Services (DS) Library, now Content Services library. Web server software, database software and utilities for document management and version control.

Return to Top

D

database

A collection of information stored in a relational database management system (RDBMS) such as Microsoft SQL Server.

default group

Every CS user belongs to a default group, which is assigned by the system administrator when setting up your user account. If you don't specify a different user group when you log on, you log on as a member of this default group.

document

An object saved in a library with content and properties. Searches, publish templates, workflow definitions, and the preferences file are stored as documents.

document class

A category for documents in a library. Every document belongs to a document class. The document class determines the document's properties, storage location, security, and lifecycle.

document ID

Every document in every library has a unique identification number.

DS Library

An abbreviation for Document Services, now called Content Services. See CS library.

Return to Top

E

external document

A document with properties but no content. Also called a content-less document.

Return to Top

F

folder

An organizational container used for holding documents, and/or other folders (sub-folders).

Return to Top

GHI

group

A group of one or more users and other groups.

indexing

Indexing is a method of arranging data in a database to make searching and finding an item relatively fast.

item ID

Please see document ID.

IS library

Image Services library is server software, database software, and utilities for imaging, document storage, and retrieval.

Return to Top

JKL

launch

To begin the process specified in a workflow definition.

library

A library is a document management system. Two types found in IBM FileNet are IS libraries and CS libraries.

Return to Top

MN

metadata

Data that describes other data. For example, the attributes of a document property.

name

A name is a textual identifier for a library, folder, or document.

Return to Top

O

object

An item such as a document, folder, search, etc. found in a content management library.

Return to Top

P

participant

A user or group assigned to process work at one or more steps in a workflow.

property

A piece of information associated with a document. For example, Document Title is a document property. Your access rights determine whether you can view and modify properties.

property database/repository

A storage location for document and folder properties.

publish

To create a read-only copy of a document in a library. Publishing makes the publication document available to a different audience and may translate the content to a different format.

Return to Top

QR

repository

A permanent storage location.

Return to Top

S

security

The rules that allow and limit access to computers and data.

step

A stage in a workflow where a distinct, well-defined activity takes place. Each step on a workflow map represents a specific activity or task in the business process described by the map.

step processor

An application that provides information and resources to a participant for a workflow step.

Return to Top

TUV

tracker

A workflow participant who is designated to monitor the progress of a workflow. If necessary, the tracker can modify workflow steps and properties.

URL

Uniform Resource Locator is a standard used to specify the location of an object, such as a file, web server, or news group.

user name

Your user name identifies you when you log on to gain access to a library.

version

An edition of a versionable object/document. A version is created when a document is checked out, edited, and checked in. Versionable objects include documents, stored searches, search templates, publish templates, and workflow definitions.

version number

Uniquely identifies the version of a document.

Return to Top

WXYZ

wizard

An interactive utility that steps you through a complex task.

Return to Top


General_Information

The general information topics include a glossary, information about IBM FileNet, trademark notices, the license agreement and about how to use the IDM Web Services documentation.

The table of contents in the left pane of each page includes a main heading with subtopics. Only one set of subtopics is exposed at any one time. Click a different main heading to see its subtopics.

The words in the color bar above jump to the same main topics shown in the table of contents.


Feedback

Your feedback helps us to provide quality information. Please send any comments that you have about this publication or other IBM FileNet IDM Web Services documentation.

How to send your comments

Send your comments by e-mail to comments@us.ibm.com. Be sure to include the name of the product, the version number of the product, and the name and part number of the book (if applicable). If you are commenting on specific text, include the location of the text (for example, a chapter and section title, a table number, a page number, or a help topic title).


Notices

This information was developed for products and services offered in the U.S.A.

IBM may not offer the products, services, or features discussed in this document in other countries. Consult your local IBM representative for information on the products and services currently available in your area. Any reference to an IBM product, program, or service is not intended to state or imply that only that IBM product, program, or service may be used. Any functionally equivalent product, program, or service that does not infringe any IBM intellectual property right may be used instead. However, it is the user's responsibility to evaluate and verify the operation of any non-IBM product, program, or service.

IBM may have patents or pending patent applications covering subject matter described in this document. The furnishing of this document does not grant you any license to these patents. You can send license inquiries, in writing, to:

IBM Director of Licensing

IBM Corporation

North Castle Drive

Armonk, NY 10504-1785

U.S.A.

For license inquiries regarding double-byte (DBCS) information, contact the IBM Intellectual Property Department in your country or send inquiries, in writing, to:

Intellectual Property Licensing

Legal and Intellectual Property Law

IBM Japan, Ltd.

3-2-12, Roppongi, Minato-ku, Tokyo 106-8711 Japan

The following paragraph does not apply to the United Kingdom or any other country where such provisions are inconsistent with local law: INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THIS PUBLICATION "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some states do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.

This information could include technical inaccuracies or typographical errors. Changes are periodically made to the information herein; these changes will be incorporated in new editions of the publication. IBM may make improvements and/or changes in the product(s) and/or the program(s) described in this publication at any time without notice.

Any references in this information to non-IBM Web sites are provided for convenience only and do not in any manner serve as an endorsement of those Web sites. The materials at those Web sites are not part of the materials for this IBM product and use of those Web sites is at your own risk.

IBM may use or distribute any of the information you supply in any way it believes appropriate without incurring any obligation to you.

Licensees of this program who wish to have information about it for the purpose of enabling: (i) the exchange of information between independently created programs and other programs (including this one) and (ii) the mutual use of the information which has been exchanged, should contact:

IBM Corporation

J46A/G4

555 Bailey Avenue

San Jose, CA 95141-1003

U.S.A.

Such information may be available, subject to appropriate terms and conditions, including in some cases, payment of a fee.

The licensed program described in this document and all licensed material available for it are provided by IBM under terms of the IBM Customer Agreement, IBM International Program License Agreement or any equivalent agreement between us.

Any performance data contained herein was determined in a controlled environment. Therefore, the results obtained in other operating environments may vary significantly. Some measurements may have been made on development-level systems and there is no guarantee that these measurements will be the same on generally available systems. Furthermore, some measurements may have been estimated through extrapolation. Actual results may vary. Users of this document should verify the applicable data for their specific environment.

Information concerning non-IBM products was obtained from the suppliers of those products, their published announcements or other publicly available sources. IBM has not tested those products and cannot confirm the accuracy of performance, compatibility or any other claims related to non-IBM products. Questions on the capabilities of non-IBM products should be addressed to the suppliers of those products.

All statements regarding IBM's future direction or intent are subject to change or withdrawal without notice, and represent goals and objectives only.

This information contains examples of data and reports used in daily business operations. To illustrate them as completely as possible, the examples include the names of individuals, companies, brands, and products. All of these names are fictitious and any similarity to the names and addresses used by an actual business enterprise is entirely coincidental.

COPYRIGHT LICENSE:

This information contains sample application programs in source language, which illustrate programming techniques on various operating platforms. You may copy, modify, and distribute these sample programs in any form without payment to IBM, for the purposes of developing, using, marketing or distributing application programs conforming to the application programming interface for the operating platform for which the sample programs are written. These examples have not been thoroughly tested under all conditions. IBM, therefore, cannot guarantee or imply reliability, serviceability, or function of these programs.

Portions of this product are:

  • Copyright (C) 1991-2, RSA DATA SECURITY, Inc. created 1991. All Rights Reserved.

  • Copyright (C) 1995-2005 Jean-loup Gailly and Mark Adler. All Rights Reserved.

  • Copyright (c) 1995-2009 International Business Machines Corporation and others

  • Copyright (C) 1991-2008 Unicode, Inc. All rights reserved.

  • Copyright (c) 1998-2003 The OpenSSL Project. All rights reserved.

  • Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

  • Copyright (C) 1994-2010 EMC Corporation. All rights reserved.

  • Copyright (C) Snowbound Software Corporation 1993-2006, All rights reserved.

  • Copyright (C) 2002-2010 Rogue Wave Software, Inc. All Rights Reserved.

  • Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc. All Rights Reserved.

  • Copyright (C) Oracle® Outside In Viewer Technology, Copyright © 1992, 2007, Oracle. All Rights Reserved.

Trademarks

IBM, the IBM logo, and ibm.com are trademarks or registered trademarks of International Business Machines Corporation in the United States, other countries, or both. If these and other IBM trademarked terms are marked on their first occurrence in this information with a trademark symbol (® or ™), these symbols indicate U.S. registered or common law trademarks owned by IBM at the time this information was published. Such trademarks may also be registered or common law trademarks in other countries. A current list of IBM trademarks is available on the Web at "Copyright and trademark information" at www.ibm.com/legal/copytrade.shtml.

Adobe, the Adobe logo, PostScript, and the PostScript logo are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States, and/or other countries.

Intel, Intel logo, Intel Inside, Intel Inside logo, Intel Centrino, Intel Centrino logo, Celeron, Intel Xeon, Intel SpeedStep, Itanium, and Pentium are trademarks or registered trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.

Linux is a trademark of Linus Torvalds in the United States, other countries, or both.

Microsoft, Windows, Windows NT, and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

UNIX is a registered trademark of The Open Group in the United States and other countries.

Other company, product, and service names may be trademarks or service marks of others.


ibm

IBM Web site

About IBM

Privacy

Contact


Terms_of_use

Permissions for the use of these publications is granted subject to the following terms and conditions.

Personal Use: You may reproduce these publications for your personal, noncommercial use provided that all proprietary notices are preserved. You may not distribute, display or make derivative work of these publications, or any portion thereof, without the express consent of IBM.

Commercial Use: You may reproduce, distribute and display these publications solely within your enterprise provided that all proprietary notices are preserved. You may not make derivative works of these publications, or reproduce, distribute or display these publications or any portion thereof outside your enterprise, without the express consent of IBM. Except as expressly granted in this permission, no other permissions, licenses or rights are granted, either express or implied, to the publications or any information, data, software or other intellectual property contained therein. IBM reserves the right to withdraw the permissions granted herein whenever, in its discretion, the use of the publications is detrimental to its interest or, as determined by IBM, the above instructions are not being properly followed. You may not download, export or re-export this information except in full compliance with all applicable laws and regulations, including all United States export laws and regulations.

IBM MAKES NO GUARANTEE ABOUT THE CONTENT OF THESE PUBLICATIONS. THE PUBLICATIONS ARE PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.